Public Member Functions

# VehicleCargoReroute Class Reference

Action of rerouting cargo staged for transfer in a vehicle. More...

`#include <cargoaction.h>`

Inheritance diagram for VehicleCargoReroute:

## Public Member Functions
| VehicleCargoReroute (VehicleCargoList *source, VehicleCargoList *dest, uint max_move, StationID avoid, StationID avoid2, const GoodsEntry *ge)
bool | operator() (CargoPacket *cp)
| Reroutes some cargo in a VehicleCargoList.

## Detailed Description

Action of rerouting cargo staged for transfer in a vehicle.

Definition at line 136 of file cargoaction.h.

## Member Function Documentation

bool VehicleCargoReroute::operator() | ( | CargoPacket * | cp | ) |

Reroutes some cargo in a VehicleCargoList.

Parameters:

  | cp | Packet to be rerouted.

Returns:
  True if the packet was completely rerouted, false if part of it was.

Definition at line 218 of file cargoaction.cpp.

References VehicleCargoList::AddToMeta(), CargoPacket::Count(), CargoMovement< VehicleCargoList, VehicleCargoList >::destination, GoodsEntry::GetVia(), CargoList< VehicleCargoList, CargoPacketList >::MTA_TRANSFER, CargoPacket::NextStation(), CargoList< Tinst, Tcont >::packets, CargoMovement< VehicleCargoList, VehicleCargoList >::Preprocess(), VehicleCargoList::RemoveFromMeta(), CargoPacket::SetNextStation(), CargoMovement< VehicleCargoList, VehicleCargoList >::source, and CargoPacket::SourceStation().

The documentation for this class was generated from the following files:

- src/cargoaction.h
- src/cargoaction.cpp